SELECT DISTINCT FIDOCUMENTO.CD_PORTADOR
FROM HDS.FIBOLETO FIBOLETO, HDS.FIDOCUMENTO FIDOCUMENTO
WHERE FIBOLETO.CD_EMPRESA = FIDOCUMENTO.CD_EMPRESA
  AND FIBOLETO.CD_ESTABELECIMENTO = FIDOCUMENTO.CD_ESTABELECIMENTO
  AND FIBOLETO.TP_DOCTO_HDS = FIDOCUMENTO.TP_DOCTO_HDS
  AND FIBOLETO.DS_SERIE_NF = FIDOCUMENTO.DS_SERIE_NF
  AND FIBOLETO.NR_DOCTO = FIDOCUMENTO.NR_DOCTO
  AND FIBOLETO.SF_DOCTO = FIDOCUMENTO.SF_DOCTO
  AND FIBOLETO.CD_CLIFOR = FIDOCUMENTO.CD_CLIFOR
  AND FIBOLETO.CD_USUARIO = 'NR';

ALTER TABLE HDS.FIBOLETO ADD CD_PORTADOR NUMBER(5);



DESC HDS.PORTADOR;